org.apache.felix.ipojo.manipulator

## Interface ManipulationVisitor

All Known Implementing Classes:
  CheckFieldConsistencyVisitor, ManipulatedResourcesWriter, ManipulationAdapter

    public interface ManipulationVisitor

Visit manipulation results.

Author:
  Felix Project Team

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `visitEnd()` Called when all metadata have been processed.
`ManipulationResultVisitor` `visitManipulationResult(org.apache.felix.ipojo.metadata.Element metadata)` Accept a manipulation result for the given component metadata.
`void` `visitMetadata(org.apache.felix.ipojo.metadata.Element metadata)` Visit metadata not associated with a component (ie no bytecode manipulation needed).

### Method Detail

#### visitManipulationResult

    ManipulationResultVisitor visitManipulationResult(org.apache.felix.ipojo.metadata.Element metadata)

Accept a manipulation result for the given component metadata.

Parameters:
  `metadata` - component's metadata (from XML or annotations)
Returns:
  a ManipulationResultVisitor if interested in theses manipulation results

#### visitMetadata

    void visitMetadata(org.apache.felix.ipojo.metadata.Element metadata)

Visit metadata not associated with a component (ie no bytecode manipulation needed).

Parameters:
  `metadata` - usually `instance`/`composite` metadata

#### visitEnd

    void visitEnd()

Called when all metadata have been processed.